linux-j2sdk 1.4.2 fail on 4.8

linux-j2sdk 1.4.2 fail on 4.8

Post by Marcin Gryszkal » Mon, 14 Jul 2003 11:19:01



Hi, i tried to help one poor soul to install
native java on FreeBSD 4.8-stable,
the linux bootstrap installed well but didn't work:

<stakys> su-2.05b# /usr/local/linux-sun-jdk1.4.2/bin/java -version
<stakys> #
<stakys> # HotSpot Virtual Machine Error, Internal Error
<stakys> # Please report this error at
<stakys> # http://java.sun.com/cgi-bin/bugreport.cgi
<stakys> #
<stakys> # Java VM: Java HotSpot(TM) Client VM (1.4.2-b28 mixed mode)
<stakys> #
<stakys> # Error ID: 4F533F4C494E55580E43505001C9
<stakys> #
<stakys> Heap at VM Abort:
<stakys> Heap[now the process hangs forever]

The linux-1.4.1_02-b06 works without any problem (on the same box).

regards

--
Marcin Gryszkalis
http://fork.pl
<><

_______________________________________________

http://lists.freebsd.org/mailman/listinfo/freebsd-java

 
 
 

linux-j2sdk 1.4.2 fail on 4.8

Post by Christian Laurs » Mon, 14 Jul 2003 18:10:20



> Hi, i tried to help one poor soul to install
> native java on FreeBSD 4.8-stable,
> the linux bootstrap installed well but didn't work:

> <stakys> su-2.05b# /usr/local/linux-sun-jdk1.4.2/bin/java -version
> <stakys> #
> <stakys> # HotSpot Virtual Machine Error, Internal Error
> <stakys> # Please report this error at
> <stakys> # http://java.sun.com/cgi-bin/bugreport.cgi
> <stakys> #
> <stakys> # Java VM: Java HotSpot(TM) Client VM (1.4.2-b28 mixed mode)
> <stakys> #
> <stakys> # Error ID: 4F533F4C494E55580E43505001C9
> <stakys> #
> <stakys> Heap at VM Abort:
> <stakys> Heap[now the process hangs forever]

> The linux-1.4.1_02-b06 works without any problem (on the same box).

I encountered this one too, and it took a while to track it down.

Try to mount linprocfs on /compat/linux/proc. That made it work for
me (although that was on 5.1-RELEASE).

--
Best regards
    Christian Laursen
_______________________________________________

http://lists.freebsd.org/mailman/listinfo/freebsd-java


 
 
 

1. Upgrading to 4.8: buildworld fails

Have you updateted all the sources by CVSup (src-all) or only some of
them???

/** Vadim*/



/usr/src/lib/msun/src/e_acos.c -o e_acos.So
/usr/src/lib/msun/src/e_acosf.c -o e_acosf.So
/usr/src/lib/msun/src/s_cbrtf.c -o s_cbrtf.So
/usr/src/lib/msun/src/s_ceil.c -o s_ceil.So

2. XFree86-3.1.1 + Mach64

3. diskless: FBSD 5.1 fails, 5.0 and 4.8 do it

4. Command history vs Virtual Consoles

5. Linux-2.4.8

6. SunOS 4.1.4 Support Discontinuance?

7. [PATCH] patch's for vmware 2.0.4 for use with linux-2.4.8 kernel

8. linux on hp-workstation

9. linux-2.4.8 vs. IEEE1394

10. ACM 4.8 compile on Linux

11. Can't compile linux-2.4.8

12. Can't make module emu10k1.o with linux-2.4.8

13. java/40677: J2SDK 1.4.0.01 fails to do anything when executed